-- *********************************************************************
-- Update to '16.7.0' Database Script
-- *********************************************************************
-- Change Log: src/main/resources/Schema_cner_16.6.0.xml
-- Ran at: 6/24/16 11:52 AM
-- Against: postgres@jdbc:postgresql://localhost:5432/cner
-- Liquibase version: 3.4.1
-- *********************************************************************

-- Create Database Lock Table
CREATE TABLE databasechangeloglock (ID INT NOT NULL, LOCKED BOOLEAN NOT NULL, LOCKGRANTED TIMESTAMP WITHOUT TIME ZONE, LOCKEDBY VARCHAR(255), CONSTRAINT PK_DATABASECHANGELOGLOCK PRIMARY KEY (ID));

-- Initialize Database Lock Table
DELETE FROM databasechangeloglock;

INSERT INTO databasechangeloglock (ID, LOCKED) VALUES (1, FALSE);

-- Lock Database
UPDATE databasechangeloglock SET LOCKED = TRUE, LOCKEDBY = 'gchohan-P50 (10.7.240.34)', LOCKGRANTED = '2016-06-24 11:52:54.494' WHERE ID = 1 AND LOCKED = FALSE;

-- Create Database Change Log Table
CREATE TABLE databasechangelog (ID VARCHAR(255) NOT NULL, AUTHOR VARCHAR(255) NOT NULL, FILENAME VARCHAR(255) NOT NULL, DATEEXECUTED TIMESTAMP WITHOUT TIME ZONE NOT NULL, ORDEREXECUTED INT NOT NULL, EXECTYPE VARCHAR(10) NOT NULL, MD5SUM VARCHAR(35), DESCRIPTION VARCHAR(255), COMMENTS VARCHAR(255), TAG VARCHAR(255), LIQUIBASE VARCHAR(20), CONTEXTS VARCHAR(255), LABELS VARCHAR(255));

-- Changeset src/main/resources/Schema_cner_16.6.0.xml::1466787008302-1::gchohan (generated)
CREATE SEQUENCE amqp_connection_id_seq;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE) VALUES ('1466787008302-1', 'gchohan (generated)', 'src/main/resources/Schema_cner_16.6.0.xml', NOW(), 1, '7:8ea82fc0731c805b4ea69976ebec55c7', 'createSequence', '', 'EXECUTED', NULL, NULL, '3.4.1');

-- Changeset src/main/resources/Schema_cner_16.6.0.xml::1466787008302-2::gchohan (generated)
CREATE SEQUENCE audit_change_id_seq;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE) VALUES ('1466787008302-2', 'gchohan (generated)', 'src/main/resources/Schema_cner_16.6.0.xml', NOW(), 2, '7:05f6a0c7e588ea905f23ebbc932c3c53', 'createSequence', '', 'EXECUTED', NULL, NULL, '3.4.1');

-- Changeset src/main/resources/Schema_cner_16.6.0.xml::1466787008302-3::gchohan (generated)
CREATE SEQUENCE audit_entry_id_seq;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE) VALUES ('1466787008302-3', 'gchohan (generated)', 'src/main/resources/Schema_cner_16.6.0.xml', NOW(), 3, '7:7d291c8ff2201c7e3857ab57034d22e1', 'createSequence', '', 'EXECUTED', NULL, NULL, '3.4.1');

-- Changeset src/main/resources/Schema_cner_16.6.0.xml::1466787008302-4::gchohan (generated)
CREATE SEQUENCE propertyvalue_id_seq;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE) VALUES ('1466787008302-4', 'gchohan (generated)', 'src/main/resources/Schema_cner_16.6.0.xml', NOW(), 4, '7:0f8f770839286dc354aaa40c59cdb6b4', 'createSequence', '', 'EXECUTED', NULL, NULL, '3.4.1');

-- Changeset src/main/resources/Schema_cner_16.6.0.xml::1466787008302-5::gchohan (generated)
CREATE SEQUENCE registrysetting_id_seq;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE) VALUES ('1466787008302-5', 'gchohan (generated)', 'src/main/resources/Schema_cner_16.6.0.xml', NOW(), 5, '7:d794c613184f9e07e52ba32f5ed07bdd', 'createSequence', '', 'EXECUTED', NULL, NULL, '3.4.1');

-- Changeset src/main/resources/Schema_cner_16.6.0.xml::1466787008302-6::gchohan (generated)
CREATE SEQUENCE rule_argument_id_seq;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE) VALUES ('1466787008302-6', 'gchohan (generated)', 'src/main/resources/Schema_cner_16.6.0.xml', NOW(), 6, '7:ede65d5e42fee79f41437f0c827c19e0', 'createSequence', '', 'EXECUTED', NULL, NULL, '3.4.1');

-- Changeset src/main/resources/Schema_cner_16.6.0.xml::1466787008302-7::gchohan (generated)
CREATE SEQUENCE rule_id_seq;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE) VALUES ('1466787008302-7', 'gchohan (generated)', 'src/main/resources/Schema_cner_16.6.0.xml', NOW(), 7, '7:9a8d0dc7b9304ad1e1175e09e24e180e', 'createSequence', '', 'EXECUTED', NULL, NULL, '3.4.1');

-- Changeset src/main/resources/Schema_cner_16.6.0.xml::1466787008302-8::gchohan (generated)
CREATE SEQUENCE schema_versions_id_seq;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE) VALUES ('1466787008302-8', 'gchohan (generated)', 'src/main/resources/Schema_cner_16.6.0.xml', NOW(), 8, '7:c49beb7249f7e0e14dbe62459fcf465f', 'createSequence', '', 'EXECUTED', NULL, NULL, '3.4.1');

-- Changeset src/main/resources/Schema_cner_16.6.0.xml::1466787008302-9::gchohan (generated)
CREATE TABLE amqp_connection (id BIGSERIAL NOT NULL, amqp_pass VARCHAR(255) NOT NULL, amqp_url VARCHAR(255) NOT NULL, amqp_user VARCHAR(255) NOT NULL, connection_type VARCHAR(255) NOT NULL, CONSTRAINT amqp_connection_pkey PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE) VALUES ('1466787008302-9', 'gchohan (generated)', 'src/main/resources/Schema_cner_16.6.0.xml', NOW(), 9, '7:d1e72d51c5f17b3c6b4c10e37b300b3d', 'createTable', '', 'EXECUTED', NULL, NULL, '3.4.1');

-- Changeset src/main/resources/Schema_cner_16.6.0.xml::1466787008302-10::gchohan (generated)
CREATE TABLE audit_change (id BIGSERIAL NOT NULL, new_value TEXT, old_value TEXT, property_name VARCHAR(255) NOT NULL, auditentry_id BIGINT, CONSTRAINT audit_change_pkey PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE) VALUES ('1466787008302-10', 'gchohan (generated)', 'src/main/resources/Schema_cner_16.6.0.xml', NOW(), 10, '7:d591a2a108f382404161baf168f624cb', 'createTable', '', 'EXECUTED', NULL, NULL, '3.4.1');

-- Changeset src/main/resources/Schema_cner_16.6.0.xml::1466787008302-11::gchohan (generated)
CREATE TABLE audit_entry (id BIGSERIAL NOT NULL, created_by_id VARCHAR(255), date_created date NOT NULL, object_id BIGINT NOT NULL, object_type VARCHAR(255) NOT NULL, operation VARCHAR(255) NOT NULL, CONSTRAINT audit_entry_pkey PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE) VALUES ('1466787008302-11', 'gchohan (generated)', 'src/main/resources/Schema_cner_16.6.0.xml', NOW(), 11, '7:39ee731f88be587739a6d2fffcbaa7ec', 'createTable', '', 'EXECUTED', NULL, NULL, '3.4.1');

-- Changeset src/main/resources/Schema_cner_16.6.0.xml::1466787008302-12::gchohan (generated)
CREATE TABLE propertyvalue (id BIGSERIAL NOT NULL, item_id VARCHAR(128) NOT NULL, last_mod_date TIMESTAMP(29) WITHOUT TIME ZONE NOT NULL, prop_name VARCHAR(128) NOT NULL, prop_value VARCHAR(128) NOT NULL, source_sak VARCHAR(128) NOT NULL, CONSTRAINT propertyvalue_pkey PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE) VALUES ('1466787008302-12', 'gchohan (generated)', 'src/main/resources/Schema_cner_16.6.0.xml', NOW(), 12, '7:53e01406c38412d6d055ded4bc831232', 'createTable', '', 'EXECUTED', NULL, NULL, '3.4.1');

-- Changeset src/main/resources/Schema_cner_16.6.0.xml::1466787008302-13::gchohan (generated)
CREATE TABLE registrysetting (id BIGSERIAL NOT NULL, name VARCHAR(255) NOT NULL, value TEXT, CONSTRAINT registrysetting_pkey PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE) VALUES ('1466787008302-13', 'gchohan (generated)', 'src/main/resources/Schema_cner_16.6.0.xml', NOW(), 13, '7:c342ff5e17e8138e701cfb7b7f956288', 'createTable', '', 'EXECUTED', NULL, NULL, '3.4.1');

-- Changeset src/main/resources/Schema_cner_16.6.0.xml::1466787008302-14::gchohan (generated)
CREATE TABLE rule (id BIGSERIAL NOT NULL, date_created TIMESTAMP(29) WITHOUT TIME ZONE NOT NULL, description TEXT, enabled BOOL, last_mod_date TIMESTAMP(29) WITHOUT TIME ZONE NOT NULL, manual BOOL, name VARCHAR(128) NOT NULL, project_id VARCHAR(32) NOT NULL, rule TEXT, rule_id VARCHAR(128) NOT NULL, rule_version VARCHAR(32) NOT NULL, source_sak VARCHAR(128) NOT NULL, source_type VARCHAR(128) NOT NULL, target_tool_id VARCHAR(128) NOT NULL, target_workflow VARCHAR(255) NOT NULL, target_workflow_id VARCHAR(255) NOT NULL, CONSTRAINT rule_pkey PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE) VALUES ('1466787008302-14', 'gchohan (generated)', 'src/main/resources/Schema_cner_16.6.0.xml', NOW(), 14, '7:212a4044e35c28afa863b6f770c89527', 'createTable', '', 'EXECUTED', NULL, NULL, '3.4.1');

-- Changeset src/main/resources/Schema_cner_16.6.0.xml::1466787008302-15::gchohan (generated)
CREATE TABLE rule_argument (id BIGSERIAL NOT NULL, key VARCHAR(255), value TEXT, rule_id BIGINT, CONSTRAINT rule_argument_pkey PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE) VALUES ('1466787008302-15', 'gchohan (generated)', 'src/main/resources/Schema_cner_16.6.0.xml', NOW(), 15, '7:64f7091b6d7ba716621fef3d5b033ab7', 'createTable', '', 'EXECUTED', NULL, NULL, '3.4.1');

-- Changeset src/main/resources/Schema_cner_16.6.0.xml::1466787008302-16::gchohan (generated)
CREATE TABLE schema_versions (id BIGSERIAL NOT NULL, compat INT NOT NULL, version INT NOT NULL, CONSTRAINT schema_versions_pkey PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE) VALUES ('1466787008302-16', 'gchohan (generated)', 'src/main/resources/Schema_cner_16.6.0.xml', NOW(), 16, '7:5f87e7a99bc9071f0b8a4c64fab029c3', 'createTable', '', 'EXECUTED', NULL, NULL, '3.4.1');

-- Changeset src/main/resources/Schema_cner_16.6.0.xml::1466787008302-17::gchohan (generated)
ALTER TABLE audit_change ADD CONSTRAINT fk_bggo7vosmqdpp9ote95ohtewc FOREIGN KEY (auditentry_id) REFERENCES audit_entry (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE) VALUES ('1466787008302-17', 'gchohan (generated)', 'src/main/resources/Schema_cner_16.6.0.xml', NOW(), 17, '7:a93c035f0ad43c0516fc34ce041f6cc2', 'addForeignKeyConstraint', '', 'EXECUTED', NULL, NULL, '3.4.1');

-- Changeset src/main/resources/Schema_cner_16.6.0.xml::1466787008302-18::gchohan (generated)
ALTER TABLE rule_argument ADD CONSTRAINT fk_k6m4xsvutmxjw72auqa1fuwwc FOREIGN KEY (rule_id) REFERENCES rule (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE) VALUES ('1466787008302-18', 'gchohan (generated)', 'src/main/resources/Schema_cner_16.6.0.xml', NOW(), 18, '7:ccadab484efba87e0f8a441fd2ff963e', 'addForeignKeyConstraint', '', 'EXECUTED', NULL, NULL, '3.4.1');

-- Release Database Lock
UPDATE databasechangeloglock SET LOCKED = FALSE, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;

