
use lib "/lib";
use CNMQ::Admin;
use CTF::ObfuscatorData;

$MQ;
$OD = CTF::ObfuscatorData->new();

sub mqInit {
    my $host = shift;
    my $user = shift;
    my $pass = shift;
    $pass = $OD->deobfuscate($pass);
    $MQ = CNMQ::Admin->new( host => $host, user => $user, pass => $pass);
}

sub mqCreateUser {
    my $user = shift;
    my $pass = join( '', map { ( a .. z, A .. Z, 0 .. 9 )[ rand 64 ] } 0 .. 32 );
    my $res  = $MQ->put('/users/' . $user, {
	password => $pass,
	tags     => 'workflowSystem',
	name     => $user,
			});
    
    if ( $res->is_success ) {
	
	# Give the actionServer permission to do things - probably more than it needs....
	$res = $MQ->put(
	    '/permissions/%2F/' . $user,
	    {
		configure => '.*',
		read      => '.*',
		write     => '.*',
		username  => $user,
		vhost     => '/',
	    }
	    );
	return $pass;
    }
}

1;
