
package CNMQ::Admin;

use LWP::UserAgent;
use HTTP::Request;
use JSON::PP;

# host, user, pass

sub new {
	my $class = shift;
	my %args  = @_;

	for my $arg (qw!host user pass!) {
		die "user not set\n" unless ( $args{$arg} );
	}

	my $self = {
		args => \%args,
		ua   => LWP::UserAgent->new(),
		json => JSON::PP->new(),
	};

	bless $self;
}

sub put {
	my $self = shift;
	my $api  = shift;    # /api is assumed so only need the next part.
	my $data = shift;    # hashref of arguments to be sent as JSON.

	my $req = HTTP::Request->new( PUT => sprintf( "http://%s:15672/api/%s", $self->{args}->{host}, $api ) );
	$req->header( 'Content_Type' => 'application/json' );
	$req->content( $self->{json}->encode($data) );
	$req->authorization_basic( $self->{args}->{user}, $self->{args}->{pass} );
	
	$self->{req} = $req; # save if needed later.
	return $self->{ua}->request($req);
}

sub req {
	my $self = shift;
	return $self->{req};
}

1;
